%define anolis_release 1
Summary:        Params-Validate Perl module
Name:           perl-Params-Validate
Version:        1.31
Release:        %{anolis_release}%{?dist}
# One file is GPL-1.0-or-later OR Artistic-1.0-Perl (c/ppport.h)
License:        Artistic-2.0 AND (GPL-1.0-or-later OR Artistic-1.0-Perl)
URL:            https://metacpan.org/release/Params-Validate
Source0:        https://cpan.metacpan.org/authors/id/D/DR/DROLSKY/Params-Validate-%{version}.tar.gz


BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Implementation) >= 0.04
BuildRequires:  perl(Module::Build) >= 0.4227

# Run-time:
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Scalar::Util) >= 1.20
BuildRequires:  perl(warnings)
BuildRequires:  perl(vars)
BuildRequires:  perl(XSLoader)

# Required by the tests
BuildRequires:  perl(base)
BuildRequires:  perl(Devel::Peek)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(JSON::PP) >= 2.27300
BuildRequires:  perl(lib)
BuildRequires:  perl(overload)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::Fatal)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::Requires)
BuildRequires:  perl(Test::Taint) >= 0.02
BuildRequires:  perl(Tie::Array)
BuildRequires:  perl(Tie::Hash)
BuildRequires:  perl(Readonly) >= 1.03

%description
The Params::Validate module allows you to validate method or function
call parameters to an arbitrary level of specificity. At the simplest
level, it is capable of validating the required parameters were given
and that no unspecified additional parameters were passed in. It is
also capable of determining that a parameter is of a specific type,
that it is an object of a certain class hierarchy, that it possesses
certain methods, or applying validation callbacks to arguments.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
Buildarch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Params-Validate-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%license LICENSE
%{perl_vendorarch}/Params
%{perl_vendorarch}/auto/Params
%{_mandir}/man3/*

%files doc
%doc Changes TODO

%changelog
* Sat Feb 11 2023 Funda Wang <fundawang@yeah.net> - 1.31-1
- Import package for anolis 23
